Skip to content
GET /unified/hris/bgv/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the background verification case

2 supported
SpringVerify India
supported
SpringVerify US
supported
candidateobject

The person whose background verification is being run. Providers may call this person a candidate, applicant, or employee.

2 supported
SpringVerify India
supported
SpringVerify US
supported
addressobject

The candidate address used for the background verification case

6 properties
citystring

The city of the address

countrystring

The country of the address

postal_codestring

The postal code of the address

statestring

The state or province of the address

street_1string

The first line of the address

street_2string

The second line of the address

date_of_birthstring

The candidate date of birth

emailsobject[]

The candidate email addresses

3 properties
emailstring

The email address

is_primaryboolean

Whether the email address is primary

typestring

The type of email address

employee_numberstring

The provider or customer employee number associated with the candidate, when available. This is not a Truto employees.id reference.

first_namestring

The candidate first name

genderstring

The candidate gender. If no clear mapping is available, the raw provider value is returned.

idstring

The provider identifier for the candidate or applicant

last_namestring

The candidate last name

middle_namestring

The candidate middle name

namestring

The candidate full name

phonesobject[]

The candidate phone numbers

3 properties
extensionstring

The extension of the phone number

numberstring

The phone number

typestring

The type of phone number

candidate_portal_urlstring

A URL for the candidate portal, when available

1 supported
SpringVerify US
supported
checksobject[]

Individual checks that compose this background verification case.

2 supported
SpringVerify India
supported
SpringVerify US
supported
detailsstring

Additional provider details for the check

idstring

The unique identifier for the check

namestring

The check name

resultstring

The check result

statusstring

The check lifecycle status

typestring

The check type

completed_atstring · date-time

The date when the background verification was completed

2 supported
SpringVerify India
supported
SpringVerify US
supported
consent_urlstring

A URL for candidate consent, when available

1 supported
SpringVerify US
supported
created_atstring · date-time

The date when the background verification case was created

2 supported
SpringVerify India
supported
SpringVerify US
supported
documentsobject[]

Documents associated with this background verification case.

2 supported
SpringVerify India
supported
SpringVerify US
supported
idstring

The unique identifier for the document

namestring

The document name

typestring

The document type

uploaded_atstring · date-time

The date when the document was uploaded

urlstring

A provider URL for the document, when available

employeeobject

The HRIS employee associated with this background verification case when a real Truto employee identifier is known. Provider-specific employee numbers are returned on candidate.employee_number instead.

References: Employees → id
idstring

The unique identifier for employees

namestring

This represents the name of the employee

etagstring

The unique identifier for the specific version of the resource

expires_atstring · date-time

The date when the background verification expires

invitation_urlstring

A URL for the candidate invitation, when available

1 supported
SpringVerify US
supported
packageobject

The verification package, program, or screening bundle used for this case.

References: BgvPackages → id
2 supported
SpringVerify India
supported
SpringVerify US
supported
idstring

The unique identifier for the BGV package

namestring

The name of the BGV package

remote_dataRecord<string, any>

Raw data returned from the remote API call.

reportobject

The final background verification report when available.

2 supported
SpringVerify India
supported
SpringVerify US
supported
expires_atstring · date-time

The date when the report URL expires

mime_typestring

The report MIME type

urlstring

A URL for the report, when available

requested_atstring · date-time

The date when the background verification was requested

2 supported
SpringVerify India
supported
SpringVerify US
supported
resultstring

The normalized verification outcome. This is not a hiring recommendation. If no clear mapping is available, the raw provider value is returned.

Possible values:
clearconsiderdiscrepantverifiedunable_to_verifynot_applicableunknown
2 supported
SpringVerify India
supported
SpringVerify US
supported
statusstring

The normalized lifecycle status of the background verification case. If no clear mapping is available, the raw provider value is returned.

Possible values:
draftinvitedpending_candidatein_progressinsufficientcompletedcanceledexpiredfailedunknown
2 supported
SpringVerify India
supported
SpringVerify US
supported
submitted_atstring · date-time

The date when the candidate submitted required information

1 supported
SpringVerify US
supported
updated_atstring · date-time

The date when the background verification case was updated

2 supported
SpringVerify India
supported
SpringVerify US
supported
truto unified hris bgv '<resource_id>' \
  -m get \
  -a '<integrated_account_id>' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'hris',
  'bgv',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "hris",
        "bgv",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
curl -X GET 'https://api.truto.one/unified/hris/bgv/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/hris/bgv/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/hris/bgv/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())